using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace SodaFlow
{
	public sealed partial class Workflow1: StateMachineWorkflowActivity
	{
		public Workflow1()
		{
			InitializeComponent();
		}

        private void ResetTotal(object sender, EventArgs e)
        {
            // Set with no total.
            Total = 0.0m;
        }

        private void TestTotal(object sender, ConditionalEventArgs e)
        {
            // Add the last coin dropped to the total and check
            // to see if the total exceeds 1.25.
            Total += LastCoinDropped;
            e.Result = Total >= 1.25m;
        }

        public static DependencyProperty LastCoinDroppedProperty = DependencyProperty.Register("LastCoinDropped", typeof(System.Decimal), typeof(SodaFlow.Workflow1));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Misc")]
        public Decimal LastCoinDropped
        {
            get
            {
                return ((decimal)(base.GetValue(SodaFlow.Workflow1.LastCoinDroppedProperty)));
            }
            set
            {
                base.SetValue(SodaFlow.Workflow1.LastCoinDroppedProperty, value);
            }
        }

        public static DependencyProperty TotalProperty = DependencyProperty.Register("Total", typeof(System.Decimal), typeof(SodaFlow.Workflow1));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Misc")]
        public Decimal Total
        {
            get
            {
                return ((decimal)(base.GetValue(SodaFlow.Workflow1.TotalProperty)));
            }
            set
            {
                base.SetValue(SodaFlow.Workflow1.TotalProperty, value);
            }
        }
	}

}
